#ifndef __RTC_SAMPLE_APL_H__
#define __RTC_SAMPLE_APL_H__
/* wb_[t@C */
/* ********************************************************** */
/* Include */
/* ********************************************************** */
#include "board_init.h"

/* ********************************************************** */
/* Structure & Define */
/* ********************************************************** */
typedef struct _rtc_apl_info_ {
  unsigned char year;
  unsigned char month;
  unsigned char day;
  unsigned char hour;
  unsigned char min;
  unsigned char sec;
} RTC_APL_INFO;



/* ********************************************************** */
/* ProtoType Define */
/* ********************************************************** */
void RtcApl_Init (void);
void RtcApl_Exec (void);
void RtcApl_Irq_Timer (void);

void RtcApl_Write_Info (RTC_APL_INFO *info);
void RtcApl_Read_Info (RTC_APL_INFO *info);
void RtcApl_Out_Info (RTC_APL_INFO *info);
void RtcApl_Set_Timer (void);

#endif /* __RTC_SAMPLE_APL_H__ */
