/*
 * KEIm SoM SDK main
 * RtcAplSampleSoft program
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <math.h>
#include "sys/alt_cache.h"
#include "sys/alt_alarm.h"
#include "system.h"
#include "sys/alt_irq.h"
#include <io.h>
#include "altera_avalon_timer_regs.h"
#include "altera_avalon_uart_regs.h"

#include "RtcSampleApl.h"
#include "board_init.h"

int main()
{
  RTC_APL_INFO info;

  board_init ();

  RtcApl_Init ();


  /* RTC̏(bt̂) */
  info.year  = 0x15;
  info.month = 0x6;
  info.day   = 0x8;

  RtcApl_Write_Info (&info);


  /* RTC ̏ǂݏo */
  RtcApl_Read_Info (&info);
  /* RTC̏o */
  RtcApl_Out_Info (&info);
  timer_start (TIMER_1_NAME);
  /* ԕωmFp̃^C}[Jn */
  RtcApl_Set_Timer ();

  while (1) 
	{
	  RtcApl_Exec ();
	}

  return 0;
}

void timer0_irq_event(void* context, alt_u32 id)
{
	/* IRQ Handler TIMER0 disable */
	irq_disable( &TIMER_board_info[0].irq );

	/* TIMER0 interrupt clear */
	TIMER_write( &TIMER_board_info[0], TIMER_STR, 0 );

	/* Interrupt processing */

	/* IRQ Handler TIMER0 enavle */
	irq_enable( &TIMER_board_info[0].irq );
	/* TIMER0 count start */
	timer_start( TIMER_0_NAME );

}

/* Interval Timer gꍇ̃R[obN֐ */
void timer1_irq_event(void* context, alt_u32 id)
{
	/* IRQ Handler TIMER1 disable */
	irq_disable( &TIMER_board_info[1].irq );

	/* TIMER1 interrupt clear */
	TIMER_write( &TIMER_board_info[1], TIMER_STR, 0 );

	/* Interrupt processing */
	RtcApl_Irq_Timer ();

	/* IRQ Handler TIMER1 enavle */
	irq_enable( &TIMER_board_info[1].irq );
	/* TIMER1 count start */
	timer_start( TIMER_1_NAME );
}

void timer2_irq_event(void* context, alt_u32 id)
{
	/* IRQ Handler TIMER2 disable */
	irq_disable( &TIMER_board_info[2].irq );

	/* TIMER2 interrupt clear */
	TIMER_write( &TIMER_board_info[2], TIMER_STR, 0 );

	/* Interrupt processing */

	/* IRQ Handler TIMER2 enavle */
	irq_enable( &TIMER_board_info[2].irq );
	/* TIMER2 count start */
	timer_start( TIMER_2_NAME );

}

void uart_cmd_event( void* context )
{
	/* UART receive Interrupt processing */

}

void eint0_irq_event( void* context, alt_u32 id)
{

	/* IRQ Handler EINT0 disable */
	irq_disable( &EINT_board_info.dev_info[EINT0].irq );

	/* Interrupt processing */


	/* IRQ Handler EINT0 enable */
	irq_enable( &EINT_board_info.dev_info[EINT0].irq );

}

void eint1_irq_event( void* context, alt_u32 id)
{

	/* IRQ Handler EINT1 disable */
	irq_disable( &EINT_board_info.dev_info[EINT1].irq );

	/* Interrupt processing */


	/* IRQ Handler EINT1 enable */
	irq_enable( &EINT_board_info.dev_info[EINT1].irq );

}

void eint2_irq_event( void* context, alt_u32 id)
{

	/* IRQ Handler EINT2 disable */
	irq_disable( &EINT_board_info.dev_info[EINT2].irq );

	/* Interrupt processing */


	/* IRQ Handler EINT2 enable */
	irq_enable( &EINT_board_info.dev_info[EINT2].irq );

}

void eint3_irq_event( void* context, alt_u32 id)
{

	/* IRQ Handler EINT3 disable */
	irq_disable( &EINT_board_info.dev_info[EINT3].irq );

	/* Interrupt processing */


	/* IRQ Handler EINT3 enable */
	irq_enable( &EINT_board_info.dev_info[EINT3].irq );

}

void eint4_irq_event( void* context, alt_u32 id)
{
	/* IRQ Handler EINT4 disable */
	irq_disable( &EINT_board_info.dev_info[EINT4].irq );

	/* Interrupt processing */

	/* IRQ Handler EINT5 enable */
	irq_enable( &EINT_board_info.dev_info[EINT4].irq );

}

void eint5_irq_event( void* context, alt_u32 id)
{

	/* IRQ Handler EINT5 disable */
	irq_disable( &EINT_board_info.dev_info[EINT5].irq );

	/* Interrupt processing */


	/* IRQ Handler EINT5 enable */
	irq_enable( &EINT_board_info.dev_info[EINT5].irq );

}

void eint6_irq_event( void* context, alt_u32 id)
{

	/* IRQ Handler EINT6 disable */
	irq_disable( &EINT_board_info.dev_info[EINT6].irq );

	/* Interrupt processing */


	/* IRQ Handler EINT6 enable */
	irq_enable( &EINT_board_info.dev_info[EINT6].irq );

}

void eint7_irq_event( void* context, alt_u32 id)
{

	/* IRQ Handler EINT7 disable */
	irq_disable( &EINT_board_info.dev_info[EINT7].irq );

	/* Interrupt processing */


	/* IRQ Handler EINT7 enable */
	irq_enable( &EINT_board_info.dev_info[EINT7].irq );

}
